Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://apimgmt.cometchat.io/apps/{appId}/extensions/email-notification/v1/settings \ --header 'key: <key>' \ --header 'secret: <secret>'
{ "data": { "statusCode": 200, "success": true, "responseTime": 3.061743974685669, "body": { "data": { "settings": { "messageDelay": 120, "senderEmail": "mymail@example", "senderName": "John Doe", "sendGridApiKey": "key_1234", "sendGridTemplateId": "Template_1234", "sendGridUnsubscribeGroupId": "Group_1234", "useWebhook": true, "webhookURL": "http://example.com", "useWebhookBasicAuth": true, "webhookUsername": "username", "webhookPassword": "fgh356$123ggh**" } } } } }
Email Notification : Get settings for Email notification extension.
Authorization Key
Authorization Secret
AppID in which the extension has to be enabled/disabled
Get Email notification Settings
Show child attributes
Was this page helpful?